<script lang="ts" setup>
import { ref } from 'vue'
import { type Product, getImageUrl } from '@/types/Product'

defineProps<{ product: Product }>()
const emit = defineEmits<{
  selected: [product: Product]
}>()
</script>

<template>
  <v-sheet :min-height="100" :min-width="100" :max-height="200" :max-width="200" elevation="1" @click.stop="() => {
      emit('selected', product)
    }
    "><v-img min-width="100" height="100" cover :src="getImageUrl(product)"></v-img>
    <v-sheet class="text-center">{{ product.name }}</v-sheet>
    <v-sheet class="text-center">{{ product.price }} บาท</v-sheet>
  </v-sheet>
</template>
